#!/bin/sh
echo -e ""
FORCE='--force-reinstall --force-overwrite --force-depends'
GITHUB='--no-check-certificate https://github.com/Ednaz/RussianMediaPark/raw/master' 
BLACKHOLE='/usr/lib/enigma2/python/Blackhole'
VTI='/usr/lib/enigma2/python/Plugins/SystemPlugins/VTIPanel'
if [ -r $VTI ]; then
    echo -e "\033[0;33m = Update feed VTI image = \033[0m"
    opkg update
    sleep 1
    echo -e "\033[0;33m = Install depends RMP for VTI image = \033[0m"
    opkg install python-pyasn1 $FORCE
elif [ -r $BLACKHOLE ] ; then
    echo -e "\033[0;33m = Update feed BLACK HOLE image = \033[0m"
    opkg update
    sleep 1
    echo -e "\033[0;33m = Install depends RMP for BLACK HOLE image = \033[0m"
    tar xzvpf python-pyasn1.tar.gz -C / > /dev/null 2>&1
fi   
opkg install libgmp10 $FORCE
tar xzvpf python-certifi.tar.gz -C / > /dev/null 2>&1
tar xzvpf python-pysocks.tar.gz -C / > /dev/null 2>&1
tar xzvpf python-urllib3.tar.gz -C / > /dev/null 2>&1
opkg install python-argparse $FORCE
opkg install python-compression $FORCE
opkg install python-email $FORCE
opkg install python-html $FORCE
opkg install python-imaging $FORCE
opkg install python-js2py $FORCE
opkg install python-json $FORCE
opkg install python-mechanize $FORCE
opkg install python-misc $FORCE
tar xzvpf python-ndg-httpsclient.tar.gz -C / > /dev/null 2>&1
opkg install python-netclient $FORCE
opkg install python-numbers $FORCE
opkg install python-pkgutil $FORCE
opkg install python-pprint $FORCE
opkg install python-pycrypto $FORCE
opkg install python-pyopenssl $FORCE
opkg install python-requests $FORCE
opkg install python-six $FORCE
opkg install python-textutils $FORCE
opkg install python-twisted-core $FORCE
opkg install python-twisted-web $FORCE
opkg install python-xml $FORCE
opkg install python-pyexecjs $FORCE
tar xzvpf f4mdump.tar.gz -C / > /dev/null 2>&1
opkg install rtmpdump $FORCE
tar xzvpf duktape.tar.gz -C / > /dev/null 2>&1
tar xzvpf wget.tar.gz -C / > /dev/null 2>&1
sleep 1
ln -s /usr/bin/wget /usr/bin/fullwget > /dev/null 2>&1
wget $GITHUB/components_for_rmp_all_images_0.1_all.ipk 
wget $GITHUB/enigma2-plugin-extensions-russianmediapark_all.ipk
if [ -f /tmp/components*.ipk ] ; then
    opkg install /tmp/components*.ipk $FORCE
fi
if [ -f /tmp/enigma2-plugin-extensions-russianmediapark*.ipk ] ; then
    opkg install /tmp/enigma2-plugin-extensions-russianmediapark*.ipk $FORCE
fi
echo -e ""
rm -f *.tar.gz > /dev/null 2>&1
rm -f enigma2-plugin-extensions-russianmediapark*.ipk > /dev/null 2>&1
rm -f components*.ipk > /dev/null 2>&1
rm -f *.sh > /dev/null 2>&1
cd ..
rm -f *.sh > /dev/null 2>&1
echo -e "\033[0;33m = Installed complete = \033[0m"
echo -e " "
sleep 3
killall -9 enigma2 > /dev/null 2>&1
